Public Class WarehouseWndV

   Private WithEvents m_WarehouseWndVM As WarehouseWndVM

   Sub New(Owner As Window, WarehouseWndVM As WarehouseWndVM)
      MyBase.New(Owner)
      ' This call is required by the designer.
      InitializeComponent()
      Me.DataContext = WarehouseWndVM
      Me.Tag = Map.refProjectVM.BTLStructureVM
      ' Assegno al riferimento locale al VM il VM preso dal DataContext
      m_WarehouseWndVM = WarehouseWndVM
   End Sub

   Private Sub CloseWindow(bDialogResult As Boolean) Handles m_WarehouseWndVM.m_CloseWindow
      Me.DialogResult = bDialogResult
   End Sub

End Class
